scmTimestamps = {}

SCM_TIMESTAMP_FORMAT = "%H%M"
SCM_TIMESTAMP_COLOR = "777777"
SCM_TIMESTAMP_OUTPUT_FORMAT = "%s|r %s"
SCM_TIMESTAMP_ACTIVE = {
	true, --[1]
	true, --[2]
	true, --[3]
	true, --[4]
	true, --[5]
	true, --[6]
	true  --[7]
}

local _G = getfenv(0)
local format = nil
local orig = nil

local function addMessage(frame, text, ...)
	if type(text) == "string" then
		text = format:format(date(SCM_TIMESTAMP_FORMAT), text)
	end
	return orig(frame, text, ...)
end

function scmTimestamps:Enable()
	self:UpdateFormat()

	orig = ChatFrame1.AddMessage
	ChatFrame1.AddMessage = addMessage
end

function scmTimestamps:Disable()
	ChatFrame1.AddMessage = orig
end

function scmTimestamps:Update()
	self:Disable()
	self:Enable()
end

function scmTimestamps:UpdateFormat()
	format = "|cff"..SCM_TIMESTAMP_COLOR..SCM_TIMESTAMP_OUTPUT_FORMAT
end

scmTimestamps:Enable()

